Автор Тема: Звуковое сопровождение выхода из системы  (Прочитано 15148 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн vita

  • Местный
  • *****
  • Автор темы
  • Сообщений: 971
  • Fiat lux! (Да будет Свет!)
    • Форум проекта Matuntu
В ходе обсуждения темы Runtu Gnome 12.04 - 201206 был решён вопрос звукового приветствия при входе в систему, которое по умолчанию было отключено в Ubuntu 12.04. Хотелось бы также вернуть и звуковое сопровождение выхода из системы. В большинстве случаев он находится в одном месте со звуковым файлом входа. Как запустить этот звук при выходе из системы?
Per aspera ad astra! (Через тернии к звездам!)

Оффлайн ogoryb

  • Прохожий
  • *
  • Сообщений: 3
Кстати у меня тоже получилось только по вашей подсказке. Спасибо. А не подскажете, как сделать звук выхода из системы?

Оффлайн vita

  • Местный
  • *****
  • Автор темы
  • Сообщений: 971
  • Fiat lux! (Да будет Свет!)
    • Форум проекта Matuntu
Re: Runtu Gnome 12.04 - 201206
« Ответ #2 : Сентябрь 25, 2012, 13:16:14 »
Кстати у меня тоже получилось только по вашей подсказке. Спасибо. А не подскажете, как сделать звук выхода из системы?
Пока нахожусь в поиске решения, хотя мелодия уже подобрана. Как найду, поделюсь опытом  ;)
Per aspera ad astra! (Через тернии к звездам!)

Оффлайн Пользователь.

  • Местный
  • *****
  • Сообщений: 4529
Re: Runtu Gnome 12.04 - 201206
« Ответ #3 : Сентябрь 25, 2012, 14:07:30 »
На сайте омгубунту написано, что звук при входе в систему отключили специально, для ускорения загрузки системы.


Оригинал
http://www.omgubuntu.co.uk/2011/12/ubuntu-12-04-login-sound-to-be-disabled-by-default


Перевод
http://ubuntunews.ru/news/ubuntu-12.04-disabled-login-sound.html
« Последнее редактирование: Сентябрь 25, 2012, 14:22:00 от Пользователь. »

Оффлайн vita

  • Местный
  • *****
  • Автор темы
  • Сообщений: 971
  • Fiat lux! (Да будет Свет!)
    • Форум проекта Matuntu
Re: Runtu Gnome 12.04 - 201206
« Ответ #4 : Сентябрь 25, 2012, 14:30:49 »
На сайте омгубунту написано, что звук при входе в систему отключили специально, для ускорения загрузки системы.
На время загрузки системы появление звукового приветствия никак не повлияло, грузится в том и другом случае в среднем в течение 20 секунд. Звучание музыки происходит одновременно с загрузкой системы, поднимая настроение, т.к. звуковой файл подобран с учётом личных пожеланий.
P.s.: проверялось на личном опыте, а не на ссылках кого-либо.
« Последнее редактирование: Сентябрь 25, 2012, 14:37:54 от vita »
Per aspera ad astra! (Через тернии к звездам!)

Оффлайн Пользователь.

  • Местный
  • *****
  • Сообщений: 4529
Re: Звуковое сопровождение выхода из системы
« Ответ #5 : Сентябрь 26, 2012, 08:58:23 »
взять скрипт у канберры, и добавить его в автозапуск при выключении и при перезагрузке

так же был решен вопрос со звуком при входе в систему

я тебе уже давал ссылки с объяснением в другой теме

http://forum.runtu.org/index.php/topic,2863.msg20164.html#msg20164
« Последнее редактирование: Сентябрь 26, 2012, 09:02:43 от Пользователь. »

Оффлайн vita

  • Местный
  • *****
  • Автор темы
  • Сообщений: 971
  • Fiat lux! (Да будет Свет!)
    • Форум проекта Matuntu
Re: Звуковое сопровождение выхода из системы
« Ответ #6 : Сентябрь 26, 2012, 09:08:18 »
взять скрипт у канберры, и добавить его в автозапуск при выключении и при перезагрузке

так же был решен вопрос со звуком при входе в систему

я тебе уже давал ссылки с объяснением в другой теме

http://forum.runtu.org/index.php/topic,2863.msg20164.html#msg20164
Спасибо, но твой совет не работает. Ищу правильное решение вопроса. Как найду, выложу на форуме.
Per aspera ad astra! (Через тернии к звездам!)

Оффлайн Пользователь.

  • Местный
  • *****
  • Сообщений: 4529
Re: Звуковое сопровождение выхода из системы
« Ответ #7 : Сентябрь 26, 2012, 09:21:39 »
Должен работать. Прочти документацию по init (например про rc0.d, это автозапуск при выключении).
Там надо соблюдать очередность, чтобы звук выхода запускался в первую очередь, а не когда все разделы отмонтированы и все программы завершены.

У меня сейчас нет под рукой компьютера с linux, поэтому команды не подскажу.
« Последнее редактирование: Сентябрь 26, 2012, 09:33:59 от Пользователь. »

Оффлайн Пользователь.

  • Местный
  • *****
  • Сообщений: 4529
Re: Звуковое сопровождение выхода из системы
« Ответ #8 : Сентябрь 26, 2012, 10:38:40 »
Где лежат файлы для запуска звука входа и выхода можно посмотреть в системе или тут
http://packages.ubuntu.com/precise/i386/gnome-session-canberra/filelist

Это запускает звук при входе
/usr/share/gnome/autostart/libcanberra-login-sound.desktop

Это запускает звук при выключении
/usr/share/gnome/shutdown/libcanberra-logout-sound.sh


но их надо еще добавить в автозапуск

Оффлайн vita

  • Местный
  • *****
  • Автор темы
  • Сообщений: 971
  • Fiat lux! (Да будет Свет!)
    • Форум проекта Matuntu
Re: Звуковое сопровождение выхода из системы
« Ответ #9 : Сентябрь 26, 2012, 10:47:59 »
Где лежат файлы для запуска звука входа и выхода можно посмотреть в системе или тут
http://packages.ubuntu.com/precise/i386/gnome-session-canberra/filelist

Это запускает звук при входе
/usr/share/gnome/autostart/libcanberra-login-sound.desktop

Это запускает звук при выключении
/usr/share/gnome/shutdown/libcanberra-logout-sound.sh


но их надо еще добавить в автозапуск

После добавления в автозапуск происходит наложение обоих звуков один на другой при входе в систему. А необходимо звук запустить при выходе из системы.
Per aspera ad astra! (Через тернии к звездам!)

Оффлайн Пользователь.

  • Местный
  • *****
  • Сообщений: 4529
Re: Звуковое сопровождение выхода из системы
« Ответ #10 : Сентябрь 26, 2012, 11:54:24 »
Надо в разные автозапуски их добавлять.
Звук входа в автозапуск графической оболочки, а звук выхода в автозапуск срабатывающий при выключении.

Вечером попробую реализовать в Runtu.

Оффлайн vita

  • Местный
  • *****
  • Автор темы
  • Сообщений: 971
  • Fiat lux! (Да будет Свет!)
    • Форум проекта Matuntu
Re: Звуковое сопровождение выхода из системы
« Ответ #11 : Сентябрь 26, 2012, 12:04:24 »
Надо в разные автозапуски их добавлять.
Звук входа в автозапуск графической оболочки, а звук выхода в автозапуск срабатывающий при выключении.
Вечером попробую реализовать в Runtu.
Хорошо, интересен результат.
Per aspera ad astra! (Через тернии к звездам!)

Оффлайн Пользователь.

  • Местный
  • *****
  • Сообщений: 4529
Re: Звуковое сопровождение выхода из системы
« Ответ #12 : Сентябрь 26, 2012, 18:33:15 »
Попробовал, но столкнулся с тем, что для /etc/init.d
нужно писать скрипт, чтобы потом сделать на него симлинк в /etc/rc0.d (скрипты находящиеся здесь запускаются при выключении системы),
но я не умею писать такие замудреные скрипты
вот образец, который предлагается  в справочном материале
#! /bin/sh
### BEGIN INIT INFO
# Provides:          skeleton
# Required-Start:    $remote_fs $syslog
# Required-Stop:     $remote_fs $syslog
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Example initscript
# Description:       This file should be used to construct scripts to be
#                    placed in /etc/init.d.
### END INIT INFO

# Author: Foo Bar <foobar@baz.org>
#
# Please remove the "Author" lines above and replace them
# with your own name if you copy and modify this script.

# Do NOT "set -e"

# PATH should only include /usr/* if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="Description of the service"
NAME=daemonexecutablename
DAEMON=/usr/sbin/$NAME
DAEMON_ARGS="--options args"
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME

# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0

# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

#
# Function that starts the daemon/service
#
do_start()
{
# Return
#   0 if daemon has been started
#   1 if daemon was already running
#   2 if daemon could not be started
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
|| return 1
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
$DAEMON_ARGS \
|| return 2
# Add code here, if necessary, that waits for the process to be ready
# to handle requests from services started subsequently which depend
# on this one.  As a last resort, sleep for some time.
}

#
# Function that stops the daemon/service
#
do_stop()
{
# Return
#   0 if daemon has been stopped
#   1 if daemon was already stopped
#   2 if daemon could not be stopped
#   other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
# Wait for children to finish too if this is a daemon that forks
# and if the daemon is only ever run from this initscript.
# If the above conditions are not satisfied then add some other code
# that waits for the process to drop all resources that could be
# needed by services started subsequently.  A last resort is to
# sleep for some time.
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
[ "$?" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
rm -f $PIDFILE
return "$RETVAL"
}

#
# Function that sends a SIGHUP to the daemon/service
#
do_reload() {
#
# If the daemon can reload its configuration without
# restarting (for example, when it is sent a SIGHUP),
# then implement that here.
#
start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
return 0
}

case "$1" in
  start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
  stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
  status)
       status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
       ;;
  #reload|force-reload)
#
# If do_reload() is not implemented then leave this commented out
# and leave 'force-reload' as an alias for 'restart'.
#
#log_daemon_msg "Reloading $DESC" "$NAME"
#do_reload
#log_end_msg $?
#;;
  restart|force-reload)
#
# If the "reload" option is implemented then remove the
# 'force-reload' alias
#
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
 0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
 *)
  # Failed to stop
log_end_msg 1
;;
esac
;;
  *)
#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
exit 3
;;
esac

:



Оффлайн Пользователь.

  • Местный
  • *****
  • Сообщений: 4529
Re: Звуковое сопровождение выхода из системы
« Ответ #13 : Сентябрь 26, 2012, 20:41:05 »
Вышеописанный метод оказался очень трудным, поэтому полез изучать lightdm, прочел документацию, изучил английские и немецкие заметки в интернете и составил команды вкючающие звук при выходе

sudo gedit /etc/lightdm/lightdm.conf
вставить в открывшийся документ, в самый низ, следующую строку
session-cleanup-script = /usr/share/gnome/shutdown/libcanberra-logout-sound.shдля активации изменений нужно перезагрузить систему
« Последнее редактирование: Сентябрь 26, 2012, 20:50:56 от Пользователь. »

Оффлайн vita

  • Местный
  • *****
  • Автор темы
  • Сообщений: 971
  • Fiat lux! (Да будет Свет!)
    • Форум проекта Matuntu
Re: Звуковое сопровождение выхода из системы
« Ответ #14 : Сентябрь 26, 2012, 21:32:11 »
Вышеописанный метод оказался очень трудным, поэтому полез изучать lightdm, прочел документацию, изучил английские и немецкие заметки в интернете и составил команды вкючающие звук при выходе

sudo gedit /etc/lightdm/lightdm.conf
В этом файле описана конфигурация автологина, что противоречит содержанию строки, которую ты предлагаешь вставить.
вставить в открывшийся документ, в самый низ, следующую строку
session-cleanup-script = /usr/share/gnome/shutdown/libcanberra-logout-sound.shдля активации изменений нужно перезагрузить систему
вывод терминала этой строки такой:
session-cleanup-script = /usr/share/gnome/shutdown/libcanberra-logout-sound.sh
session-cleanup-script: command not found
Звука как не было так и нет, даже с правильными строками, которые отдельно должны звучать при запуске в терминале. Работающие строки, но не в указанном выше конфигурационном файле.
/usr/bin/canberra-gtk-play --id="desktop-logout" --description="GNOME Logout sound"
/usr/share/gnome/shutdown/libcanberra-logout-sound.shP.s.: изначально пришлось добавлять в файл libcanberra-logout-sound.sh строку /usr/bin/canberra-gtk-play --id="desktop-logout" --description="GNOME Logout sound"
Осталось только найти способ запуска звука.
« Последнее редактирование: Сентябрь 26, 2012, 21:52:02 от vita »
Per aspera ad astra! (Через тернии к звездам!)

Оффлайн Пользователь.

  • Местный
  • *****
  • Сообщений: 4529
Re: Звуковое сопровождение выхода из системы
« Ответ #15 : Сентябрь 26, 2012, 21:40:55 »
У меня работает, попробуй еще раз.

Больше я не буду копаться.

Оффлайн vita

  • Местный
  • *****
  • Автор темы
  • Сообщений: 971
  • Fiat lux! (Да будет Свет!)
    • Форум проекта Matuntu
Re: Звуковое сопровождение выхода из системы
« Ответ #16 : Сентябрь 26, 2012, 22:00:04 »
У меня работает, попробуй еще раз.
Больше я не буду копаться.
Можно ли показать вывод команды:
cat /etc/lightdm/lightdm.conf
Per aspera ad astra! (Через тернии к звездам!)

Оффлайн Пользователь.

  • Местный
  • *****
  • Сообщений: 4529
Re: Звуковое сопровождение выхода из системы
« Ответ #17 : Сентябрь 26, 2012, 22:06:21 »

[SeatDefaults]
allow-guest=false
autologin-guest=false
autologin-user=bismark
autologin-user-timeout=0
autologin-session=lightdm-autologin
user-session=gnome-fallback
greeter-session=unity-greeter
greeter-show-manual-login = true
session-cleanup-script = /usr/share/gnome/shutdown/libcanberra-logout-sound.sh


Оффлайн vita

  • Местный
  • *****
  • Автор темы
  • Сообщений: 971
  • Fiat lux! (Да будет Свет!)
    • Форум проекта Matuntu
Re: Звуковое сопровождение выхода из системы
« Ответ #18 : Сентябрь 26, 2012, 22:37:02 »

[SeatDefaults]
allow-guest=false
autologin-guest=false
autologin-user=bismark
autologin-user-timeout=0
autologin-session=lightdm-autologin
user-session=gnome-fallback
greeter-session=unity-greeter
greeter-show-manual-login = true
session-cleanup-script = /usr/share/gnome/shutdown/libcanberra-logout-sound.sh

У кого будет работать описанный Пользователем способ, прошу отписаться.
P.s.: у меня после таких манипуляций система намертво зависла, пришлось "откатывать" из живой сессии.
« Последнее редактирование: Сентябрь 27, 2012, 17:03:41 от vita »
Per aspera ad astra! (Через тернии к звездам!)

Оффлайн Пользователь.

  • Местный
  • *****
  • Сообщений: 4529
Re: Звуковое сопровождение выхода из системы
« Ответ #19 : Сентябрь 26, 2012, 22:49:10 »
После какого действия система зависла?
Ты вставила содержимое моего lightdm.conf?
Там же мой логин прописан, autologin-user=bismark
замени на свой  :)

Оффлайн vita

  • Местный
  • *****
  • Автор темы
  • Сообщений: 971
  • Fiat lux! (Да будет Свет!)
    • Форум проекта Matuntu
Re: Звуковое сопровождение выхода из системы
« Ответ #20 : Сентябрь 26, 2012, 22:52:36 »
Уж такие-то вещи я бы не допустила. Безусловно в нём мой логин, а вставлена только последняя строка. Хотя она и не звучит в чистом виде, но рискнула добавить именно её.
Per aspera ad astra! (Через тернии к звездам!)

Оффлайн vita

  • Местный
  • *****
  • Автор темы
  • Сообщений: 971
  • Fiat lux! (Да будет Свет!)
    • Форум проекта Matuntu
Re: Звуковое сопровождение выхода из системы
« Ответ #21 : Сентябрь 27, 2012, 08:42:34 »
Со скриптами сложнее. Например, если скрипт завершится с ошибкой (код возврата != 0), то система не грузиться;
если указана неправильная команда или скрипт неисполняемый, то система не грузится.
Поэтому скрипты из ГУИ пришлось убрать...
У меня работает...
Интересно послушать звучание этого файла. Прошу, если есть возможность, прикрепить его к сообщению.
« Последнее редактирование: Сентябрь 27, 2012, 17:07:30 от vita »
Per aspera ad astra! (Через тернии к звездам!)

Оффлайн Пользователь.

  • Местный
  • *****
  • Сообщений: 4529
Re: Звуковое сопровождение выхода из системы
« Ответ #22 : Сентябрь 27, 2012, 17:53:40 »
/usr/share/sounds/ubuntu/stereo/desktop-logout.ogg

Оффлайн GO

  • Прохожий
  • *
  • Сообщений: 8
Re: Звуковое сопровождение выхода из системы
« Ответ #23 : Ноябрь 21, 2012, 01:36:57 »

[SeatDefaults]
allow-guest=false
autologin-guest=false
autologin-user=bismark
autologin-user-timeout=0
autologin-session=lightdm-autologin
user-session=gnome-fallback
greeter-session=unity-greeter
greeter-show-manual-login = true
session-cleanup-script = /usr/share/gnome/shutdown/libcanberra-logout-sound.sh

У кого будет работать описанный Пользователем способ, прошу отписаться.
P.s.: у меня после таких манипуляций система намертво зависла, пришлось "откатывать" из живой сессии.

runtu-lite-12.04_20121109 (in VirtualBox)
Lightdm (lightdm-gtk-greeter/unity-greeter)


Да: путем конфигурирования Lightdm.conf можно прикрутить "свистелки-трынделки" при входе в Login-screen, при входе в сессию, при выходе из сессии!
Правда, можно использовать не canberra, а легкий проигрыватель ogg123 (см. в синаптике vorbis-tools)
Нужно иметь звуки формата .ogg (см. вложение)
Скрипт проигрывания play-sound (две строчки):
/usr/bin/play-sound: ПоказатьСкрыть


#!/bin/bash
ogg123 -q $1 &





ogg123 это консольный проигрыватель (можете попробовать другой подходящий консольный плеер (aplay для файлов.wav); кстати, попытки с cvlc  успехом не увенчались, хотя напрямую в терминале отрабатывает
cvlc --play-and-exit   /usr/share/sounds/WHISTLE.ogg )
-q, --quiet ключ "Не выводить информацию (заголовки)" (зачем нужен (?) - не знаю, без него тож работает!)
$1 это переменная, значение которой - путь к воспроизводимому файлу.ogg (PATCH_TO_FILE....ogg) - пропишем в Lightdm.conf
& позволяет выполняться остальным процессам параллельно с данным скриптом



конечно же, не забыть сделать исполняемым:
# chmod +x /usr/bin/play-sound
В файле конфигурации дописать инициализацию скриптов по принципу
...script =  play-sound PATCH_TO_FILE....ogg
У меня так:
/etc/lightdm/lightdm.conf: ПоказатьСкрыть


[SeatDefaults]

# Session to load for users
user-session=openbox

#Session to load for greeter
#greeter-session=lightdm-gtk-greeter
greeter-session=unity-greeter

# Script to run when starting a greeter (runs as root)
greeter-setup-script = play-sound  /usr/share/sounds/ubuntu/stereo/dialog-question.ogg

# Script to run when starting a user session(runs as root)
session-setup-script = play-sound  /usr/share/sounds/WHISTLE.ogg

# Script to run when quitting a user session (runs as root)
session-cleanup-script = play-sound  /usr/share/sounds/whistle.ogg


Перезагрузиться!

PS
 подсмотрел тут и тут...
 осталось найти решение event - sound для openbox и будет счастье :D

Оффлайн vita

  • Местный
  • *****
  • Автор темы
  • Сообщений: 971
  • Fiat lux! (Да будет Свет!)
    • Форум проекта Matuntu
Re: Звуковое сопровождение выхода из системы
« Ответ #24 : Ноябрь 21, 2012, 11:05:23 »
GO
Спасибо. Интересная информация. В первую сборку Рунту Lite 2012 я добавляла звук по аналогии второй сборки (всё заработало). Но в этой теме меня интересовало звуковое сопровождение выхода не из сессии, а при полном выключении системы (может быть это не очень чётко выражено в названии темы). Например, в Kubuntu и Knoppix это реализовано. Это просто "спортивный" интерес, не более.
Per aspera ad astra! (Через тернии к звездам!)

Оффлайн vita

  • Местный
  • *****
  • Автор темы
  • Сообщений: 971
  • Fiat lux! (Да будет Свет!)
    • Форум проекта Matuntu
Re: Runtu Gnome 12.04 - 201206
« Ответ #25 : Март 16, 2013, 12:28:26 »
Как найду, поделюсь опытом  ;)
Имелось ввиду выключение системы со звуком. Нашла такое решение. Поместила аудиофайл в папку /home/имя пользователя. Затем выполнила:
sudo gedit /etc/rc0.d/S90haltВ открывшемся файле добавила следующую строку:
aplay /home/имя пользователя/название файла.wavЗатем перезагрузила систему. Теперь звук выхода из системы у меня проигрывается перед выключением компьютера.
« Последнее редактирование: Март 16, 2013, 12:30:43 от vita »
Per aspera ad astra! (Через тернии к звездам!)

Оффлайн 9595

  • Постоялец
  • ***
  • Сообщений: 158
Re: Runtu Gnome 12.04 - 201206
« Ответ #26 : Март 16, 2013, 13:38:22 »
Как найду, поделюсь опытом  ;)
Имелось ввиду выключение системы со звуком. Нашла такое решение. Поместила аудиофайл в папку /home/имя пользователя. Затем выполнила:
sudo gedit /etc/rc0.d/S90haltВ открывшемся файле добавила следующую строку:
aplay /home/имя пользователя/название файла.wavЗатем перезагрузила систему. Теперь звук выхода из системы у меня проигрывается перед выключением компьютера.
vita здравствуйте!
интересно,это как-нибудь влияет на продолжительность процесса выключения?
мелодия большая,вся проигрывается?
Что за мелодия,если не секрет на 7ми замках?а то интересно что можно такое поставить при выходе.
у меня как-то был проигрышь на 27 секунд классической музыки на телефоне при получении смс - но мне таким долгим звучание казалось.
Ноутбук Lenovo IdeaPad S145-15AST

Оффлайн vita

  • Местный
  • *****
  • Автор темы
  • Сообщений: 971
  • Fiat lux! (Да будет Свет!)
    • Форум проекта Matuntu
Здравствуйте, 9595!
Мелодия выхода звучит 9 секунд, взята из дистрибутива Ultimate Edition 3.4 Lite, весит 1,7 мб, поэтому "прикрепить" здесь его не могу. Находится /usr/share/sounds/Ultimate Edition Sound Scheme/stereo/desktop-logout.wav.
Для меня не критичны эти 9 секунд.
Per aspera ad astra! (Через тернии к звездам!)

Оффлайн 9595

  • Постоялец
  • ***
  • Сообщений: 158
Здравствуйте, 9595!
Мелодия выхода звучит 9 секунд, взята из дистрибутива Ultimate Edition 3.4 Lite, весит 1,7 мб, поэтому "прикрепить" здесь его не могу. Находится /usr/share/sounds/Ultimate Edition Sound Scheme/stereo/desktop-logout.wav.
Для меня не критичны эти 9 секунд.
спасибо vita!9 секунд = 1.7 мб  :o
Ноутбук Lenovo IdeaPad S145-15AST

Оффлайн vita

  • Местный
  • *****
  • Автор темы
  • Сообщений: 971
  • Fiat lux! (Да будет Свет!)
    • Форум проекта Matuntu
9 секунд = 1.7 мб  :o
Ваша формула = заблуждению. Время звучания может быть таким же, но меньший по размеру файл будет более низкого качества, т.е. ниже его битрейт. Выбирайте лучшее!  ;)
Per aspera ad astra! (Через тернии к звездам!)

Оффлайн vita

  • Местный
  • *****
  • Автор темы
  • Сообщений: 971
  • Fiat lux! (Да будет Свет!)
    • Форум проекта Matuntu
Мелодию выхода из системы можно взять здесь.
редактирование файла halt: ПоказатьСкрыть
#! /bin/sh
### BEGIN INIT INFO
# Provides:          halt
# Required-Start:
# Required-Stop:
# Default-Start:
# Default-Stop:      0
# Short-Description: Execute the halt command.
# Description:
### END INIT INFO

NETDOWN=yes

aplay /home/vita/desktop-logout.wav

PATH=/sbin:/usr/sbin:/bin:/usr/bin
[ -f /etc/default/halt ] && . /etc/default/halt

. /lib/lsb/init-functions

do_stop () {
   if [ "$INIT_HALT" = "" ]
   then
      case "$HALT" in
        [Pp]*)
         INIT_HALT=POWEROFF
         ;;
        [Hh]*)
         INIT_HALT=HALT
         ;;
        *)
         INIT_HALT=POWEROFF
         ;;
      esac
   fi

   # See if we need to cut the power.
   if [ "$INIT_HALT" = "POWEROFF" ] && [ -x /etc/init.d/ups-monitor ]
   then
      /etc/init.d/ups-monitor poweroff
   fi

   # Don't shut down drives if we're using RAID.
   hddown="-h"
   if grep -qs '^md.*active' /proc/mdstat
   then
      hddown=""
   fi

   # If INIT_HALT=HALT don't poweroff.
   poweroff="-p"
   if [ "$INIT_HALT" = "HALT" ]
   then
      poweroff=""
   fi

   # Make it possible to not shut down network interfaces,
   # needed to use wake-on-lan
   netdown="-i"
   if [ "$NETDOWN" = "no" ]; then
      netdown=""
   fi

   log_action_msg "Will now halt"
   halt -d -f $netdown $poweroff $hddown
}

case "$1" in
  start)
   # No-op
   ;;
  restart|reload|force-reload)
   echo "Error: argument '$1' not supported" >&2
   exit 3
   ;;
  stop)
   do_stop
   ;;
  *)
   echo "Usage: $0 start|stop" >&2
   exit 3
   ;;
esac

:
Per aspera ad astra! (Через тернии к звездам!)

Оффлайн Nika

  • Постоялец
  • ***
  • Сообщений: 166
У меня файл 15,8 МБ время звучания 90 секунд.
Перед выключением мелодия звучит полностью. :)

Runtu XFCE 14.04